Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class NoExitSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          org.codehaus.groovy.tools.shell.util.NoExitSecurityManager

    public class NoExitSecurityManager
    extends SecurityManager

Custom security manager to `System.exit(int)` (and related) from being used.

Version:
  $Rev: 13768 $ $Date: 2008-10-17 14:41:08 +0200 (Fr, 17. Okt 2008) $

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
Constructor and Description
`NoExitSecurityManager()`
`NoExitSecurityManager(SecurityManager parent)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `checkExit(int code)` Always throws `SecurityException`.
`void` | `checkPermission(Permission perm)`

Methods inherited from class java.lang.SecurityManager
`checkAccept, checkAccess, checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkCreateClassLoader, checkDelete, checkExec, checkLink, checkListen, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPrintJobAccess, checkPropertiesAccess, checkPropertyAccess, checkRead, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoExitSecurityManager

    public NoExitSecurityManager(SecurityManager parent)

### NoExitSecurityManager

    public NoExitSecurityManager()

Method Detail

### checkPermission

    public void checkPermission(Permission perm)

  Overrides:
    `checkPermission` in class `SecurityManager`

### checkExit

    public void checkExit(int code)

  Always throws `SecurityException`.

  Overrides:
    `checkExit` in class `SecurityManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD